<?php
namespace JLTELMT\Libs;

// No, Direct access Sir !!!
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Assets' ) ) {

	/**
	 * Assets Class
	 *
	 * Jewel Theme <support@jeweltheme.com>
	 * @version     1.0.2
	 */
	class Assets {

		/**
		 * Constructor method
		 *
		 * @author Jewel Theme <support@jeweltheme.com>
		 */
		public function __construct() {
			add_action( 'wp_enqueue_scripts', array( $this, 'jlt_elementor_master_table_enqueue_scripts' ), 100 );
			add_action( 'admin_enqueue_scripts', array( $this, 'jlt_elementor_master_table_admin_enqueue_scripts' ), 100 );


			// Elementor Dependencies
			add_action( 'elementor/editor/after_enqueue_styles', [ $this, 'jlt_elementor_master_table_editor_styles' ]);
		}


		/**
		 * Get environment mode
		 *
		 * @author Jewel Theme <support@jeweltheme.com>
		 */
		public function get_mode() {
			return defined( 'WP_DEBUG' ) && WP_DEBUG ? 'development' : 'production';
		}

		/**
		 * Enqueue Scripts
		 *
		 * @method wp_enqueue_scripts()
		 */
		public function jlt_elementor_master_table_enqueue_scripts() {

			// CSS Files .
			wp_enqueue_style( 'master-table-for-elementor-frontend', JLTELMT_ASSETS . 'css/master-table-for-elementor-frontend.css', JLTELMT_VER, 'all' );

			// JS Files .
			wp_enqueue_script( 'master-table-for-elementor-frontend', JLTELMT_ASSETS . 'js/master-table-for-elementor-frontend.js', array( 'jquery' ), JLTELMT_VER, true );
		}


		/**
		 *
		 * Enqueue Elementor Editor Styles
		 *
		 */
		public function jlt_elementor_master_table_editor_styles() {

			wp_enqueue_style( 'master-table-for-elementor-editor', JLTELMT_ASSETS . 'css/master-table-for-elementor-editor.css' );
		}


		/**
		 * Enqueue Scripts
		 *
		 * @method admin_enqueue_scripts()
		 */
		public function jlt_elementor_master_table_admin_enqueue_scripts() {
			// CSS Files .
			wp_enqueue_style( 'master-table-for-elementor-admin', JLTELMT_ASSETS . 'css/master-table-for-elementor-admin.css', array( 'dashicons' ), JLTELMT_VER, 'all' );

			// JS Files .
			wp_enqueue_script( 'master-table-for-elementor-admin', JLTELMT_ASSETS . 'js/master-table-for-elementor-admin.js', array( 'jquery' ), JLTELMT_VER, true );
			wp_localize_script(
				'master-table-for-elementor-admin',
				'JLTELMTCORE',
				array(
					'admin_ajax'        => admin_url( 'admin-ajax.php' ),
					'recommended_nonce' => wp_create_nonce( 'jlt_elementor_master_table_recommended_nonce' ),
				)
			);
		}
	}
}