<?php
/**
 * Plugin Name: Master Table for Elementor
 * Plugin URI:  https://master-addons.com/demos/dynamic-table/
 * Description: Fast and Easy Elementor way to create dynamic tables. Master Table for Elementor will give you full independncy over tables.
 * Version:     1.0.2.2
 * Author:      Jewel Theme
 * Author URI:  https://jeweltheme.com
 * Text Domain: master-table-for-elementor
 * Domain Path: languages/
 * License:     GPLv3 or later
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package master-table-for-elementor
 */

/*
 * don't call the file directly
 */
if ( ! defined( 'ABSPATH' ) ) {
	wp_die( esc_html__( 'You can\'t access this page', 'master-table-for-elementor' ) );
}

$jlt_elementor_master_table_plugin_data = get_file_data(
	__FILE__,
	array(
		'Version'     => 'Version',
		'Plugin Name' => 'Plugin Name',
		'Author'      => 'Author',
		'Description' => 'Description',
		'Plugin URI'  => 'Plugin URI',
	),
	false
);

// Define Constants.
if ( ! defined( 'JLTELMT' ) ) {
	define( 'JLTELMT', $jlt_elementor_master_table_plugin_data['Plugin Name'] );
}

if ( ! defined( 'JLTELMT_VER' ) ) {
	define( 'JLTELMT_VER', $jlt_elementor_master_table_plugin_data['Version'] );
}

if ( ! defined( 'JLTELMT_AUTHOR' ) ) {
	define( 'JLTELMT_AUTHOR', $jlt_elementor_master_table_plugin_data['Author'] );
}

if ( ! defined( 'JLTELMT_DESC' ) ) {
	define( 'JLTELMT_DESC', $jlt_elementor_master_table_plugin_data['Author'] );
}

if ( ! defined( 'JLTELMT_URI' ) ) {
	define( 'JLTELMT_URI', $jlt_elementor_master_table_plugin_data['Plugin URI'] );
}

if ( ! defined( 'JLTELMT_DIR' ) ) {
	define( 'JLTELMT_DIR', __DIR__ );
}

if ( ! defined( 'JLTELMT_FILE' ) ) {
	define( 'JLTELMT_FILE', __FILE__ );
}

if ( ! defined( 'JLTELMT_SLUG' ) ) {
	define( 'JLTELMT_SLUG', dirname( plugin_basename( __FILE__ ) ) );
}

if ( ! defined( 'JLTELMT_BASE' ) ) {
	define( 'JLTELMT_BASE', plugin_basename( __FILE__ ) );
}

if ( ! defined( 'JLTELMT_PATH' ) ) {
	define( 'JLTELMT_PATH', trailingslashit( plugin_dir_path( __FILE__ ) ) );
}

if ( ! defined( 'JLTELMT_URL' ) ) {
	define( 'JLTELMT_URL', trailingslashit( plugins_url( '/', __FILE__ ) ) );
}

if ( ! defined( 'JLTELMT_INC' ) ) {
	define( 'JLTELMT_INC', JLTELMT_PATH . '/Inc/' );
}

if ( ! defined( 'JLTELMT_LIBS' ) ) {
	define( 'JLTELMT_LIBS', JLTELMT_PATH . 'Libs' );
}

if ( ! defined( 'JLTELMT_ASSETS' ) ) {
	define( 'JLTELMT_ASSETS', JLTELMT_URL . 'assets/' );
}

if ( ! defined( 'JLTELMT_IMAGES' ) ) {
	define( 'JLTELMT_IMAGES', JLTELMT_ASSETS . 'images' );
}

if ( ! class_exists( '\\JLTELMT\\JLT_Elementor_Master_Table' ) ) {
	// Autoload Files.
	include_once JLTELMT_DIR . '/vendor/autoload.php';
	// Instantiate JLT_Elementor_Master_Table Class.
	include_once JLTELMT_DIR . '/class-master-table-for-elementor.php';
}